Wind River Support Network

HomeDefectsLIN5-19886
Fixed

LIN5-19886 : Security Advisory - glibc - CVE-2012-6656

Created: Dec 14, 2014    Updated: Dec 19, 2017
Resolved Date: Feb 9, 2015
Found In Version: 5.0.1.23
Fix Version: 5.0.1.24
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Toolchain

Description

iconvdata/ibm930.c in GNU C Library (aka glibc) before 2.16 allows context-dependent attackers to cause a denial of service (out-of-bounds read) via a multibyte character value of 0xffff to the iconv function when converting IBM930 encoded data to UTF-8.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-6656

Other Downloads


Live chat
Online